uk.gov.hmrc.releaser.bintray

# BintrayMavenPaths

###
Related Doc: package bintray

#### trait BintrayMavenPaths extends BintrayPaths

Linear Supertypes
BintrayPaths, AnyRef, Any
Known Subclasses
MavenRepo
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BintrayMavenPaths
2. BintrayPaths
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val bintrayRepoRoot: String

   Definition Classes
     BintrayPaths

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def fileDownloadFor(v: VersionDescriptor, fileName: String): String

   Definition Classes
     BintrayMavenPaths → BintrayPaths

10. #### def fileUploadFor(v: VersionDescriptor, fileName: String): String

    Definition Classes
      BintrayMavenPaths → BintrayPaths

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def jarFilenameEndingFor(v: VersionDescriptor): String

    Definition Classes
      BintrayMavenPaths → BintrayPaths

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### val package: String

    Definition Classes
      BintrayPaths

20. #### val packageExistsRoot: String

    Definition Classes
      BintrayPaths

21. #### val path: String

    Definition Classes
      BintrayPaths

22. #### def releaseExistsFor(v: VersionDescriptor): String

    Definition Classes
      BintrayMavenPaths → BintrayPaths

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BintrayPaths

### Inherited from AnyRef

### Inherited from Any

### Ungrouped